# GetLocalization(string)

Method in [YarnProject](/api/csharp/yarn.unity/yarn.unity.yarnproject.md)

## Summary

Gets a Localization given a locale code.

```csharp
public Localization GetLocalization(string localeCode)
```

## Parameters

| Name                | Description                                                                                      |
| ------------------- | ------------------------------------------------------------------------------------------------ |
| `string` localeCode | The locale code to find a [Localization](/api/csharp/yarn.unity/yarn.unity.localization.md) for. |

## Returns

The Localization if one is found for the locale `localeCode` ; [baseLocalization](/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.baselocalization.md) otherwise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.yarnproject/yarn.unity.yarnproject.getlocalization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
